<?php 
/* Load the Theme class. */
require_once (get_stylesheet_directory() . '/framework/theme.php');

function theme_require_once($file){
	$child_file = str_replace(get_template_directory(),get_stylesheet_directory(),$file);
	if(file_exists($child_file)){
		require_once($child_file);
	}else{
		require_once($file);
	}
}

function theme_enqueue_child_style(){
	wp_enqueue_style('theme-child-style', get_stylesheet_directory_uri(). '/style.css',array('theme-style','theme-skin'),false,'all');
}
add_action('wp_print_styles', 'theme_enqueue_child_style');